> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルデータ構造

> モデルカタログレスポンスの共通構造。

## モデルオブジェクト

`GET /api/v1/cloud/models` で返却されます。

| フィールド                       | 型                | 説明                                                                        |
| --------------------------- | ---------------- | ------------------------------------------------------------------------- |
| `id`                        | string           | `agent.model` として渡すモデル識別子                                                 |
| `type`                      | string           | 固定値 `"model"`                                                             |
| `display_name`              | string           | UI および選択用の表示名                                                             |
| `source`                    | string           | モデルソース。有効な値: `system`、`user`                                              |
| `is_enabled`                | boolean          | モデルが有効かどうか。リストエンドポイントは無効な上流モデルを除外します                                      |
| `is_new`                    | boolean          | モデルが新規としてマークされているかどうか                                                     |
| `price_factor`              | number           | 任意の相対価格倍率                                                                 |
| `efforts`                   | string の配列       | 任意のサポートされる推論エフォート値。有効な値: `none`、`low`、`medium`、`high`、`xhigh`、`max`       |
| `default_effort`            | string           | 上流カタログで提供される場合の任意のデフォルトエフォート値                                             |
| `max_input_tokens`          | integer          | モデルがサポートする最大入力コンテキスト(トークン数)                                               |
| `default_context_window`    | integer          | 任意。Agent が `model.context_window` を設定しない場合に適用されるデフォルトのコンテキストウィンドウ(トークン数)  |
| `available_context_windows` | array of integer | 任意。Agent で `model.context_window` として受け付ける、ユーザー選択可能なコンテキストウィンドウの階層(トークン数) |

## モデルリストレスポンス

| フィールド      | 型                          | 説明                |
| ---------- | -------------------------- | ----------------- |
| `data`     | [モデルオブジェクト](#モデルオブジェクト)の配列 | 設定されたシーンで利用可能なモデル |
| `has_more` | boolean                    | 常に `false`        |

## 関連項目

<CardGroup cols={2}>
  <Card title="Agent の定義" icon="user-gear" href="/ja/cloud-agents/define-agent">
    再利用可能でバージョン管理された Agent 構成を作成します。
  </Card>
</CardGroup>
